/* 
 * File:   stack.h
 * Author: Claudio De Stefano
 *
 * Created on 17 marzo 2010, 17.48
 */
#include <cstdio>
using namespace std;

const int SIZE=100;

class stack
{ 
    int num;
    int sp;
    int *v;
  
public:
    stack();
    ~stack();
    bool push(int val);
    bool pop(int& val);
    int num_elem() {cout << "stack contiene " << num << " elementi" << endl; }
};

class stack_g
{   
    int num;
    int sp;
    char *v;
    char *pc;
    int *pi;
    float *pf;
  
public:
    stack_g();
    ~stack_g();
    bool push(int val);
    bool push(float val);
    bool push(char val);
    bool pop(int& val);
    bool pop(float& val);
    bool pop(char& val);
    int num_elem() {cout << "stack_g contiene " << num << " elementi" << endl; }
};





